var vm = new Vue({
	el: "#mainIndex",
	data: {
		meterList: [],
		lastMeterReadInfo: {},
		times: 0,
		meterId: '',
	},
	beforeCreate: function() {
		//@@
		window.intervalObj = "";
	},
	methods: {
		getLastMeterElectric: function(meterId, areaId) {
			var self = this;
			self.times++;
			self.meterId = meterId;
			console.log("times:" + self.times);
			mui.ajax(ApiRequest.getApiHost() + '/meter/GetLastMeterElectricV2?meterId=' + meterId + "&areaId=" + areaId, {
				type: 'GET',
				dataType: 'json', //服务器返回json格式数据
				timeout: 5000,
				success: function(res) {
					if (res.success) {
						self.lastMeterReadInfo = res.lastMeterReadInfo;
					} else {
						self.lastMeterReadInfo = null;
					}
				},
				error: function(xhr, type, errorThrown) {}
			});
		}
	},
	beforeDestroy: function() {
		if (window.intervalObj) {
			clearInterval(window.intervalObj);
		}
	}
});

function getMeterList(userPicker) {
	mui.ajax(ApiRequest.getApiHost() + '/meter/getmeterlist?phone=' + UserInfo.getUserState().userphone, {
		type: 'GET',
		dataType: 'json', //服务器返回json格式数据
		timeout: 5000,
		success: function(res) {
			if (res.success) {
				if (res.data != null && res.data.length > 0) {
					vm.meterList = [];
					res.data.filter(function(item) {
						vm.meterList.push({
							text: item.meterId,
							value: item.areaId
						});
					});
					userPicker.setData(vm.meterList);
					document.getElementById("idnumber").innerText = vm.meterList[0].text;
					DestroyintervalObj();
					if (vm.meterList[0].text) {
						vm.getLastMeterElectric(vm.meterList[0].text, vm.meterList[0].value);
						window.intervalObj = setInterval("vm.getLastMeterElectric('" + vm.meterList[0].text + "','" + vm.meterList[0].value +
							"')", 60000);
					}
					var recharge = document.getElementById('recharge_id');
					recharge.addEventListener('tap', function() {
						DestroyintervalObj();
						if(res.data.length > 1) {
							openWin("html/recharge/rechargeInfo.html?type=recharge");
						} else {
							openWin("html/recharge/rechargeDetail.html?meterId=" + res.data[0].meterId + "&areaId=" + res.data[0].areaId);
						}
					});
					var control = document.getElementById('control_id');
					control.addEventListener('tap', function() {
						DestroyintervalObj();
						if (res.data.length > 1) {
							openWin("html/recharge/rechargeInfo.html?type=control");
						} else {
							openWin("html/control/controlDetail.html?meterId=" + res.data[0].meterId + '&areaId=' + res.data[0].areaId);
						}
					});
					var electricinfo = document.getElementById('electricinfo');
					electricinfo.addEventListener('tap', function() {
						DestroyintervalObj();
						if (res.data.length > 1) {
							openWin("html/recharge/rechargeInfo.html?type=electric");
						} else {
							openWin("html/electric/electricInfo.html?meterId=" + res.data[0].meterId + '&areaId=' + res.data[0].areaId);
						}
					});
				}
			} else {
				mui.toast('数据加载失败!');
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('数据加载失败!');
		}
	});
}
window.addEventListener('reTest', function() {
	var res ;
	 vm.meterList.filter(function(item) {
		if (item.text == document.getElementById("idnumber").innerText)
			res =item;
	});
	//var meterId = document.getElementById("idnumber").innerText;
	DestroyintervalObj();
	if (res) {
		vm.times = 0;
		vm.getLastMeterElectric(res.meterId, res.areaId);
		window.intervalObj = setInterval("vm.getLastMeterElectric('" + res.text + "','" + res.value + "')", 60000);
	}
});

mui.init({
	swipeBack: true //启用右滑关闭功能
});
var _toast = false;
mui.back = function() {
	if(!_toast) {
		_toast = mui.toast('再按一次返回键退出', {
			duration: 'long',
			type: 'div'
		});
		_toast = true;
	} else {
		plus.runtime.quit();
	}
}

function DestroyintervalObj() {
	if(window.intervalObj) {
		console.log("times:" + vm.times + ":已经销毁")
		clearInterval(window.intervalObj);
	}
}
//拍摄照片
function getIndexImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			_doUploadHeadSrc(entry);
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.jpg"
	})
}
/***相册获取****/
function galleryIndexImg() {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			_doUploadHeadSrc(entry)
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};

// 图片上传
function _doUploadHeadSrc(entry) {
	var src = entry.toLocalURL();
	if(!src) {
		mui.toast('未选择图片');
		return;
	}
	var files = [];
	files.push({
		name: 'uploadkey1',
		path: src
	});
	plus.nativeUI.showWaiting("正在上传图片,请稍后...");

	uploadAll(files, 'indexbackimage', 'imgaes', true, function(uploadFileInfo) {
		plus.nativeUI.closeWaiting();

		if(uploadFileInfo.result) { //
			var fileName = uploadFileInfo.fileNameArr[0].value;
			_doUpdateDB(fileName);
		} else {
			mui.alert("图片上传失败", "提示", "确定");
		}
	});
}

function _doUpdateDB(fileName) {
	var indexImgUrl = 'Upload/index/' + fileName;
	plus.nativeUI.showWaiting("上传成功，正在更新信息...");
	var url = ApiRequest.getApiHost() + "/user/updatebackimg";
	var obj = {
		imgurl: indexImgUrl,
		userid: parseFloat(UserInfo.getUserState().userId)
	};
	mui.ajax(url, {
		data: obj,
		dataType: 'json', //服务器返回json格式数据
		type: 'POST', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log('_doUpdateDB:' + JSON.stringify(data));
			if(data && data.success) {
				isUpdateImgSuccess = true;
				var newHeadUrl = ApiRequest.getUrlHost() + indexImgUrl;
				document.getElementById("indexBackImgae").src = newHeadUrl;
				mui.toast("图片更新成功");
			} else {
				mui.alert("图片更新失败", "提示", "确定");
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理； 
			mui.toast('请求失败 ' + type, {
				duration: 'long',
				type: 'div'
			});
		}
	});
}

function addindexMoreImgs() {
	var btnArray = [{
		title: "从相册选择"
	}, {
		title: "拍摄新照片"
	}];
	plus.nativeUI.actionSheet({
		cancel: "取消",
		buttons: btnArray
	}, function(event) {
		var index = event.index;
		switch(index) {
			case 1:
				galleryIndexImg();
				break;
			case 2:
				getIndexImage();
				break;
		}
	});
};

function GetBackImage() {
	var url = ApiRequest.getApiHost() + "/user/GetBackImage?userid=" + parseFloat(UserInfo.getUserState().userId);
	mui.ajax(url, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message) {
				var newHeadUrl = ApiRequest.getUrlHost() + data.message;
				document.getElementById("indexBackImgae").src = newHeadUrl;
			}
		},
		error: function(xhr, type, errorThrown) {}
	});
}
mui.plusReady(function() {
	updateVersion();
	var userPicker = new mui.PopPicker();
	getMeterList(userPicker);
	var showUserPickerButton = document.getElementById('showUserPicker');
	showUserPickerButton.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			document.getElementById("idnumber").innerText = items[0].text;
			DestroyintervalObj();
			if (items[0].text) {
				vm.getLastMeterElectric(items[0].text, items[0].value);
				window.intervalObj = setInterval("vm.getLastMeterElectric('" + items[0].text + ",'" + items[0].value + "')",
					60000);
			}

		});
	}, false);

	GetBackImage();
	//图片
	//		document.getElementById('indexBackImgae').addEventListener('tap', function() {
	//			addindexMoreImgs();
	//		});
	// 个人中心页面跳转
	var person = document.getElementById('goToBarcodeScan');
	person.addEventListener('tap', function() {
		DestroyintervalObj();
		openWin("html/person/personInfo.html");
	});
	var rechargerecord = document.getElementById('rechargerecord_id');
	rechargerecord.addEventListener('tap', function() {
		DestroyintervalObj();
		openWin("html/recharge/rechargerecord.html");
	});

	var fastrech = document.getElementById('fastrech');
	fastrech.addEventListener('tap', function() {
		DestroyintervalObj();
		var res ;
		vm.meterList.filter(function(item) {
			if (item.text == document.getElementById("idnumber").innerText) {
				res = item;
			}
		});
		if (res) {
			openWin("html/recharge/rechargeDetail.html?meterId=" + res.text + "&areaId=" + res.value);
		} else {
			mui.toast('没有可充值的电表数据!');
		}
	});
	mui(".mui-scroll-wrapper").scroll({ //屏幕弹性滚动
		bounce: false, //滚动条是否有弹力默认是true
		indicators: false, //是否显示滚动条,默认是true
	});

});