/**
 * des: 公共方法
 * author:fuchi
 * date:2018-5-27
 **/
// 根据url跳转对应的页面
function openWin(url) {
	var data = url.split('?');
	//获取参数
	params = {};
	if(data.length > 1) {
		var arr = data[1].split('&');
		arr.filter(function(item) {
			var childArr = item.split('=');
			params[childArr[0]] = childArr[1];
		});
	}
	mui.openWindow({
		url: data[0],
		id: data[0],
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true  
			aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；  
			duration: "200" //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；  
		},
		extras: params,
		waiting: {
			autoShow: true, //自动显示等待框，默认为true  
			title: '正在加载...' //等待对话框上显示的提示内容  
		}
	});
}
// 加载完成后的回调中将子页面show出来，并关闭等待框,mui.plusRead method close
function closeWating() {
	var currentView = plus.webview.currentWebview();
	currentView.show('slide-in-right', 200);
	plus.nativeUI.closeWaiting();
}

// 参数传输
function openWindows(url, id, key, value) {
	var extrasT = "";
	if(key != "" || key != null) {
		var keyArry = key.split(",");
		var valueArry = value.split(",");
		for(var i = 0; i < keyArry.length; i++) {
			extrasT += "" + keyArry[i] + ":'" + valueArry[i] + "',";
		}
		extrasT = extrasT.substring(0, extrasT.length - 1);
	}
	console.log(extrasT);
	mui.openWindow({
		url: url,
		id: id,
		extras: extrasT,
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true  
			aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；  
			duration: "200" //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；  
		},
		waiting: {
			autoShow: true, //自动显示等待框，默认为true  
			title: '正在加载...' //等待对话框上显示的提示内容  
		}
	});
}
//手机号码验证
function checkMobile(mobile, ele) {
	if(mobile.length != 11)
		return false;
	if(!(/^1[3|4|5|7|8][0-9]\d{4,8}$/.test(mobile))) {
		document.getElementById(ele).focus();
		return false;
	}
	return true;
}

var timer = null; //定时器  
var timeTotal = 60;

function Countdown(elementName) {
	document.getElementById(elementName).innerText = (timeTotal + 's');
	timeTotal--;
	if(timeTotal == 0) {
		clearInterval(timer);
		timeTotal = 60;
		document.getElementById(elementName).disabled = false;
		document.getElementById(elementName).innerText = '发送验证码';
		return;
	}
}

function setIntervalCountdown(elementName) {
	document.getElementById(elementName).disabled = true;
	timer = setInterval('Countdown("' + elementName + '")', 1000);
}

var isInstalled = function(id) {
	if(mui.os.android) { //未测试
		var main = plus.android.runtimeMainActivity();
		var packageManager = main.getPackageManager();
		var PackageManager = plus.android.importClass(packageManager)
		var packageName = {
			"qq": "com.tencent.mobileqq",
			"weixin": "com.tencent.mm",
			"sinaweibo": "com.sina.weibo"
		}
		try {
			return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
		} catch(e) {
			mui.toast(e)
		}
	} else {
		switch(id) {
			case "qq":
				//com.tencent.mobileqq

				var TencentOAuth = plus.ios.import("TencentOAuth");
				return TencentOAuth.iphoneQQInstalled();
			case "weixin":
				if(plus.runtime.isApplicationExist({
						pname: 'com.tencent.mm',
						action: 'weixin://'
					})) {  
					return true;   
				} else {  
					return false;    
				}
				/*var WXApi = plus.ios.import("WXApi");//实测不生效
				return WXApi.isWXAppInstalled()*/

				/*case "sinaweibo": 返回 undefined
				    var SinaAPI = plus.ios.import("WeiboSDK");
				    return SinaAPI.isWeiboAppInstalled()*/
			default:
				break;
		}
	}
}

var nowdate = function () {
	var dd = new Date();
	var y = dd.getFullYear();
	var m = dd.getMonth() + 1 < 10 ? "0" + (dd.getMonth() + 1) : dd.getMonth() + 1;
	var d = dd.getDate() < 10 ? "0" + dd.getDate() : dd.getDate();
	return y + "-" + m + "-" + d;
}